package com.yihu.wlyy.entity.template;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.wlyy.entity.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Reece on 2017/6/8.
 * 医生端团队健康指导模板 团队与模板对应关系
 */
@Entity
@Table(name = "wlyy_team_guidance_template")
public class DoctorTeamGuidanceTemplate extends IdEntity {
    //    团队ID
    private int teamId;
    //    团队ID名称
    private String teamName;
    //    团队指导模板code
    private String teamTemplateCode;
    //    团队模板创建者
    private String creater;
    //     团队模板的标题
    private String title;
    //        团队内该模板被使用次数
    private int useTimes;
    //  模板创建时间
    private Date createTime;
    //        操作时间
    private Date czrq;
    //        团队内的团队模板状态  0删除  1正常
    private int del;

    public String getTeamName() {
        return teamName;
    }

    public void setTeamName(String teamName) {
        this.teamName = teamName;
    }

    public int getTeamId() {
        return teamId;
    }

    public void setTeamId(int teamId) {
        this.teamId = teamId;
    }

    public String getTeamTemplateCode() {
        return teamTemplateCode;
    }

    public void setTeamTemplateCode(String teamTemplateCode) {
        this.teamTemplateCode = teamTemplateCode;
    }

    public String getCreater() {
        return creater;
    }

    public void setCreater(String creater) {
        this.creater = creater;
    }

    @Column(name = "title", length = 50)
    public String getTitle() {
        return title;
    }

    @Column(name = "title", length = 50)
    public void setTitle(String title) {
        this.title = title;
    }

    public int getUseTimes() {
        return useTimes;
    }

    public void setUseTimes(int useTimes) {
        this.useTimes = useTimes;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCzrq() {
        return czrq;
    }

    public void setCzrq(Date czrq) {
        this.czrq = czrq;
    }

    public int getDel() {
        return del;
    }

    public void setDel(int del) {
        this.del = del;
    }
}
